<?php
/**
 * N3Download (Nesquik Download)
 *
 * Система представляет собой скрипт загруз-центра
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: N3squ1k (Несквик)
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

define('ROOT', str_replace(array('\\', '//'), '/', getcwd()).'/');

if (file_exists(ROOT.'__incfiles/core.php')) {
	require_once(ROOT.'__incfiles/core.php');
} else {
	exit('Немогу подключить системный файл');
}

if (!isset($_GET['img'])) {
	$row = mysql_fetch_row(mysql_query("SELECT TRIM(`path`) FROM `".SQLprefixTable."files` WHERE `id`='".$id."'"));
	$image = htmlspecialchars($row[0]);
}
else {
	if (file_exists(ROOT . $set['screen'].'/'.$_GET['img'])) {
		$image = ROOT . $set['screen'].'/'.htmlspecialchars($_GET['img']);
	} else {
		error('Скриншот не найден!');
	}
}

$width = isset($_GET['w']) ? intval($_GET['w']) : false;
$height = isset($_GET['h']) ? intval($_GET['h']) : false;

if (substr($image, 0, 1) != '.') {

	if ($width && $height) {
		$ImageSize = array($width, $height);
	} else {
		$ImageSize = explode('x', $set['size']);
	}
	
	if (isset($_GET['ffmpeg'])) {
	
		$movie = new ffmpeg_movie('./'.$image);
		
		$frame = $movie->getFrame(3);

		$img = ImageCreateTrueColor($ImageSize[0], $ImageSize[1]);
		
		ImageCopyResized($img, $frame->toGDImage(), 0, 0, 0, 0, $ImageSize[0], $ImageSize[1], $movie->GetFrameWidth(), $movie->GetFrameHeight());
		
		if (isset($_GET['w']) && isset($_GET['h']) && file_exists(SYSTEM.'marker.png')) {
			$mark = imagecreatefrompng(SYSTEM.'marker.png');
			imagecopyresampled($img, $mark, $ImageSize[0] - imagesx($mark), $ImageSize[1] - imagesy($mark), 0, 3, imagesx($mark), imagesy($mark), imagesx($mark), imagesy($mark));
		}
		
		header('Content-type: image/gif');
		
		ImageGif($img, null, 100);
	
	} else {

		$ext = strtolower(pathinfo($image, PATHINFO_EXTENSION));

		if ($ext == 'gif') {
			$create = ImageCreateFromGif($image);
		}
		else if ($ext == 'jpg' || $ext == 'jpeg' || $ext == 'jpe') {
			$create = ImageCreateFromJpeg($image);
		}
		else if ($ext == 'png') {
			$create = ImageCreateFromPng($image);
		}
		else {
			error('Неизвестный формат картинки!');
		}

		$img = ImageCreateTrueColor($ImageSize[0], $ImageSize[1]);
		ImageCopyResampled($img, $create, 0, 0, 0, 0, $ImageSize[0], $ImageSize[1], imageSX($create), imageSY($create));

		if (isset($_GET['w']) && isset($_GET['h']) && file_exists(SYSTEM.'marker.png')) {
			$mark = imagecreatefrompng(SYSTEM.'marker.png');
			imagecopyresampled($img, $mark, $ImageSize[0] - imagesx($mark), $ImageSize[1] - imagesy($mark), 0, 3, imagesx($mark), imagesy($mark), imagesx($mark), imagesy($mark));
		}

		header('Content-type: image/jpeg');

		imageJpeg($img, null, 100);
	
	}
	
}
?>